getindexinfo
POST
Returns the sync status of one or all indices currently running in the node.Pass an index name to query that index only, or omit it to query every index.
param[0]
indexNamestringrequired
The name of the index to query. Every index is returned when omitted.Responses
An entry keyed by index name. (e.g.)
txindexsyncedboolean
Whether the index is synced or not.best_block_heightinteger
The block height to which the index is synced.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getindexinfo","params": ["txindex"]}'